## ros-melodic-self-test 1.9.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(self_test)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED diagnostic_msgs diagnostic_updater roscpp rostest)

catkin_package(DEPENDS diagnostic_msgs diagnostic_updater roscpp
               INCLUDE_DIRS include
)

include_directories(include gtest-1.7.0/include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

find_package(Boost REQUIRED COMPONENTS thread)
include_directories(${Boost_INCLUDE_DIRS})

add_executable(run_selftest src/run_selftest.cpp)
find_package(Boost REQUIRED COMPONENTS thread)
include_directories(${Boost_INCLUDE_DIRS})
target_link_libraries(run_selftest ${Boost_LIBRARIES}
                                   ${catkin_LIBRARIES}
)

add_executable(selftest_example src/selftest_example.cpp)
find_package(Boost REQUIRED COMPONENTS thread)
include_directories(${Boost_INCLUDE_DIRS})
target_link_libraries(selftest_example ${Boost_LIBRARIES}
                                       ${catkin_LIBRARIES}
)

add_executable(selftest_rostest src/selftest_rostest.cpp
                                gtest-1.7.0/gtest-all.cc)
target_link_libraries(selftest_rostest ${Boost_LIBRARIES}
                                       ${catkin_LIBRARIES}
)

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)

  add_rostest(test/launch/nominal_test.launch)
  add_rostest(test/launch/no_id_test.launch)
  add_rostest(test/launch/error_test.launch)
  add_rostest(test/launch/exception_test.launch)
endif()

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(TARGETS run_selftest selftest_example selftest_rostest
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

=== debian/changelog ===
ros-melodic-self-test (1.9.7-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 02 Sep 2020 22:00:00 -0000

ros-melodic-self-test (1.9.6-1stretch) stretch; urgency=high

  * Fix GCC warnings with -Wpedantic (#124 <https://github.com/ros/diagnostics/issues/124>)
  * Contributors: Jacob Perron

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 17 Aug 2020 22:00:00 -0000

ros-melodic-self-test (1.9.5-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Sun, 09 Aug 2020 22:00:00 -0000

ros-melodic-self-test (1.9.3-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 01 May 2018 22:00:00 -0000

ros-melodic-self-test (1.9.2-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-melodic-self-test (1.9.1-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-melodic-self-test (1.9.0-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 24 Apr 2017 22:00:00 -0000

ros-melodic-self-test (1.8.10-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 13 Jun 2016 22:00:00 -0000

ros-melodic-self-test (1.8.9-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 01 Mar 2016 23:00:00 -0000

ros-melodic-self-test (1.8.8-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 05 Aug 2015 22:00:00 -0000

ros-melodic-self-test (1.8.7-1stretch) stretch; urgency=high

  * Upgrade to gtest 1.7.0
  * Contributors: trainman419

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 08 Jan 2015 23:00:00 -0000

ros-melodic-self-test (1.8.6-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 09 Dec 2014 23:00:00 -0000

ros-melodic-self-test (1.8.5-1stretch) stretch; urgency=high

  * Include gtest source directly
  * Contributors: trainman419

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 28 Jul 2014 22:00:00 -0000

ros-melodic-self-test (1.8.4-1stretch) stretch; urgency=high

  * Remove stray architechture_independent flags
    This flag should be used for package which do not contain
    architecture-specific files. Compiled binaries are such a file, and
    these packages contain them.
  * Contributors: Scott K Logan

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 24 Jul 2014 18:51:00 -0000

ros-melodic-self-test (1.8.3-1stretch) stretch; urgency=high

  * Install selftest_rostest
  * Contributors: Austin Hendrix

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 22 Apr 2014 22:00:00 -0000

ros-melodic-self-test (1.8.2-1stretch) stretch; urgency=high

  * Fix linking. All tests pass.
    Fixes #12 <https://github.com/ros/diagnostics/issues/12>
  * Most tests pass
  * Fix private nodehandle bug
  * Protect tests behind CATKIN_ENABLE_TESTING.
    Fixes #13 <https://github.com/ros/diagnostics/issues/13>
  * Install self test executables. Fixes #16 <https://github.com/ros/diagnostics/issues/16>
  * Contributors: Austin Hendrix

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 07 Apr 2014 22:00:00 -0000

ros-melodic-self-test (1.8.1-1stretch) stretch; urgency=high

  * Add myself as maintainer
  * Added ability to specify the private node handle in TestRunner
    Also now specify the selftest callback queue on only the service so that it does not apply to the entire node
  * fixed test related issues in some CMakeLists
  * Contributors: Austin Hendrix, Brice Rebsamen, Mitchell Wills

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Sun, 06 Apr 2014 22:00:00 -0000

ros-melodic-self-test (1.8.0-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 02 Apr 2013 22:00:00 -0000

ros-melodic-self-test (1.7.11-1stretch) stretch; urgency=high

  * Fix install rules
  * Fix linking on tests
  * Contributors: trainman419

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 24 Jul 2014 18:24:00 -0000

ros-melodic-self-test (1.7.10-1stretch) stretch; urgency=high

  * Changed package.xml version number before releasing
  * Contributors: Brice Rebsamen

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 21 Feb 2013 23:00:00 -0000

ros-melodic-self-test (1.7.9-1stretch) stretch; urgency=high

  * add missing dep to catkin
  * Contributors: Dirk Thomas

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 13 Dec 2012 23:00:00 -0000

ros-melodic-self-test (1.7.8-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 05 Dec 2012 23:00:00 -0000

ros-melodic-self-test (1.7.7-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Fri, 09 Nov 2012 23:00:00 -0000

ros-melodic-self-test (1.7.6-1stretch) stretch; urgency=high

  * no library in self test
  * Contributors: Vincent Rabaud

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 07 Nov 2012 22:32:00 -0000

ros-melodic-self-test (1.7.5-1stretch) stretch; urgency=high

  * add the missing rostest dependency
  * Contributors: Vincent Rabaud

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 07 Nov 2012 20:53:00 -0000

ros-melodic-self-test (1.7.4-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 07 Nov 2012 19:18:00 -0000

ros-melodic-self-test (1.7.3-1stretch) stretch; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Sat, 03 Nov 2012 23:00:00 -0000

ros-melodic-self-test (1.7.2-1stretch) stretch; urgency=high

  * fix rostest
  * Contributors: Vincent Rabaud

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 30 Oct 2012 21:31:00 -0000

ros-melodic-self-test (1.7.1-1stretch) stretch; urgency=high

  * fix a few things after the first release
  * fix a few things all over
  * Contributors: Vincent Rabaud

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 30 Oct 2012 14:30:00 -0000

ros-melodic-self-test (1.7.0-1stretch) stretch; urgency=high



=== debian/control ===
Source: ros-melodic-self-test
Section: misc
Priority: optional
Maintainer: Brice Rebsamen <brice.rebsamen@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-diagnostic-msgs, ros-melodic-diagnostic-updater, ros-melodic-roscpp, ros-melodic-rostest
Homepage: http://www.ros.org/wiki/self_test
Standards-Version: 3.9.2

Package: ros-melodic-self-test
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-diagnostic-msgs, ros-melodic-diagnostic-updater, ros-melodic-roscpp
Description: self_test

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-self-test//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
